## db_online

### Verwendung

Sie überführen die Datenbankinstanz in den Betriebszustand ONLINE.

Sie verwenden dieses DBM-Kommando auch dann, wenn die Datenbank nicht korrekt gestoppt wurde, weil der Computer durch einen Stromausfall abgeschaltet wurde. Wenn die Volumes der Datenbankinstanz unbeschädigt sind, nutzt das System die intern noch vorhandenen Informationen, um abgeschlossene Transaktionen zu wiederholen und nicht abgeschlossene Transaktionen rückgängig zu machen.

Wenn Sie im DBM-Kommando einen Zeitpunkt angeben, dann werden nur die bis zu diesem Zeitpunkt abgeschlossenen Transaktionen wiederholt.

Sie haben die Möglichkeit, eine Datenbankinstanz so zu konfigurieren, dass sie beim Starten des Datenbankrechners automatisch gestartet wird.

Siehe auch:

Tutorial Datenbankverwaltung, Starten und Stoppen einer Datenbankinstanz

Glossar, Restart.

Konzepte des Datenbanksystems, Automatischer Start

### Voraussetzungen

Sie haben die Serverberechtigung DBStart.

### Syntax

db_online [<option>]

<option> :: = -f | -s | -t | -u

Optionen

Option | Beschreibung
-f | -fast | Es wird die Kernvariante fast gestartet.
-s | -slow | Es wird die Kernvariante slow gestartet.
-t | -test | Es wird die Kernvariante test gestartet.
[-u | -until] <date> <time> <date> ::= <yyyymmdd> <time> ::= <hhmmss> | Zeitpunkt (Jahr, Monat, Tag, Stunde, Minuten, Sekunden), bis zu dem die noch in der Datenbankinstanz vorhandenen Log-Einträge wieder eingelesen werden sollen.

### Antwort

OK

Im Fehlerfall siehe Antwortformat.